SmakeSmake API Docs
EndpointsLogos

Create a logo

POST
/logos

You can create a logo here with a url or an uploaded media id. See Upload Media. Allowed production methods are for DTG and Manual processing.

Background processing

When you create a logo, this happens asynchronously, and you have to use Polling or Webhooks. You will receive the new logo id in the header for later reference.

The current state of the asynchronous process is represented due following states:

StateMeaning
draftThe initial state of a new logo.
checkingLogo is processed automatically in background. For example images will be generated or downloaded.
failedSomething went wrong during the checking process. The reason can be found in the failure_message attribute. For example an image could not be downloaded.
completedAll automatic processes were successful. The logo is ready to use.

It is not possible to use this logo before state completed.

Media Array / Media Object

The request field media is always an array of media objects — see the media property of the request body.

Production Method Object

For a list of available production methods see Production Methods — see the production_method property of the request body.

AuthorizationbearerAuth

Authorization

bearerAuth
AuthorizationBearer <token>

API token as bearer token — you receive a test and a live token, there is no switch between them. See Setup → Authentication and Setup → Test mode.

In: header

Header Parameters

Accept*"application/json"

The API only responds with JSON — this header is mandatory on every request (see Setup → Headers).

Default"application/json"

Value in

  • "application/json"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create a logo with a url or an uploaded media id (see Upload Media). Allowed production methods are for DTG and Manual processing.

Response Body

application/json

application/json

Request example
curl -X POST "https://example.com/logos" \  -H "Accept: application/json" \  -H "Content-Type: application/json" \  -d '{    "production_method": {      "handle": "dtg"    },    "media": [      {        "url": "https://smake-public.s3.eu-west-1.amazonaws.com/testfiles/logo.png",        "collection_name": "production-file"      }    ]  }'
Empty

List logos GET

Here you can view logos, design a logo or create a new one with a new file or an uploaded media (see [Upload Media](/docs/checkout/2022-02-01/endpoints/media/uploadMedia)). Designing and Creating Logos requires long-lasting file operations. After transferring and creating files you will receive a new Logo that can be placed on a variant. See [Design variant](/docs/checkout/2022-02-01/endpoints/variants/designVariant). Returns a collection of Logos. ### Filtering You can filter your results as follows — see the `filter[...]` query parameters below: - List logos for specified id(s): `/logos?filter[id]=1`, `/logos?filter[id]=1,2,3` - List logos for specified production method handle(s): `/logos?filter[production_method.handle]=dtg`, `/logos?filter[production_method.handle]=dtg,embroidery` - List logos for specified production method id(s): `/logos?filter[production_method.id]=1`, `/logos?filter[production_method.id]=1,2,3` - List logos for specified production collection name(s): `/logos?filter[collection_name]=catalogue`, `/logos?filter[collection_name]=catalogue,ordered` - List logos for a given date, only resources created after the provided date will be returned: `/logos?filter[created_at_min]=2017-09-27` - List logos for a given date, only resources created before the provided date will be returned: `/logos?filter[created_at_max]=2017-11-15` - List logos for a given date, only resources updated after the provided date will be returned: `/logos?filter[updated_at_min]=2017-09-27` - List logos for a given date, only resources updated before the provided date will be returned: `/logos?filter[updated_at_max]=2017-09-27` See: [Pagination](/docs/checkout/2022-02-01/basic/pagination), [Filtering](/docs/checkout/2022-02-01/basic/filtering) ### Expanding relationships You can expand some resources to show more details. See: [Expanding Objects](/docs/checkout/2022-02-01/basic/expanding-objects) - **Expand production method** — You can show the content of the production method instead of the `id`: `/logos?expand=production_method`

Get a logo GET

Returns the logo with the `id` = **x**. ### Expanding relationships You can expand some resources to show more details. See: [Expanding Objects](/docs/checkout/2022-02-01/basic/expanding-objects) - **Expand production method** — You can show the content of the production method instead of the `id`: `/logos/1?expand=production_method`